--- a/src/core-impl/collections/ipodcollection/IpodCollectionFactory.cpp
+++ b/src/core-impl/collections/ipodcollection/IpodCollectionFactory.cpp
@@ -208,7 +208,7 @@ IpodCollectionFactory::createCollectionF
             debug() << "device" << udi << "not accessible, ignoring for now";
             return;
         }
-        mountPoint = ssa->filePath();
+        mountPoint.setPath( ssa->filePath() );
         Solid::StorageVolume *volume = device.as<Solid::StorageVolume>();
         if( volume )
             uuid = volume->uuid();
--- a/src/scripting/scriptengine/qtbindings/CoreDir.cpp
+++ b/src/scripting/scriptengine/qtbindings/CoreDir.cpp
@@ -327,11 +327,6 @@ QString Dir::toNativeSeparators(const QS
     return QDir::toNativeSeparators(pathName);
 }
 
-void Dir::addResourceSearchPath(const QString &path)
-{
-    QDir::addResourceSearchPath(path);
-}
-
 void Dir::addSearchPath(const QString &prefix, const QString &path)
 {
     QDir::addSearchPath(prefix,path);
--- a/src/scripting/scriptengine/qtbindings/CoreDir.h
+++ b/src/scripting/scriptengine/qtbindings/CoreDir.h
@@ -56,7 +56,6 @@ namespace QtBindings
             Q_INVOKABLE static QString rootPath();
             Q_INVOKABLE static QString tempPath();
             Q_INVOKABLE static QString toNativeSeparators(const QString &pathName);
-            Q_INVOKABLE static void addResourceSearchPath(const QString &path);
             Q_INVOKABLE static void addSearchPath(const QString &prefix, const QString &path);
             Q_INVOKABLE static void setSearchPaths(const QString &prefix, const QStringList &searchPaths);
             Dir &operator=(const Dir &other);
